#include <Wire.h>
#include "Adafruit_MPR121.h"

Adafruit_MPR121 cap = Adafruit_MPR121();

uint16_t lasttouched = 0;
uint16_t currtouched = 0;

int touchData[12];
int analogData[4];

void setup() {
  Serial.begin(115200);
  if (!cap.begin(0x5A)) {
    while (1);
  }
}

void loop() {
  currtouched = cap.touched();
  for (uint8_t i = 0; i < 12; i++) {
    if ((currtouched & _BV(i)) && !(lasttouched & _BV(i)) ) {
      touchData[i] = 1;
    }
    if (!(currtouched & _BV(i)) && (lasttouched & _BV(i)) ) {
      touchData[i] = 0;
    }
  }
  lasttouched = currtouched;
  analogData[0] = analogRead(A0);
  analogData[1] = analogRead(A1);
  analogData[2] = analogRead(A2);
  analogData[3] = analogRead(A3);
  Serial.write(255);
  for (int i = 0; i < 12; i++) {
    Serial.write(touchData[i]);
  }
  for (int i = 0; i < 4; i++) {
    Serial.write(analogData[i] >> 5);
    Serial.write(analogData[i] & 31);
  }
  delay(10);
}


